#include <stdio.h>
#include <sql.h>
#include <sqlext.h>

#define    CHUNKSIZE       65536


main() {
   SQLHENV env;
   SQLHDBC dbc;
   SQLHSTMT stmt;
   SQLRETURN ret; /* ODBC API return status */
   SQLSMALLINT columns; /* number of columns in result-set */
   SQLCHAR table[ 64 ];
   SQLCHAR column[ 64 ];
   long type;
   SQLLEN indicator[ 3 ];
   int i,j;

    /* Allocate an environment handle */
   SQLAllocHandle(SQL_HANDLE_ENV, SQL_NULL_HANDLE, &env);

   /* We want ODBC 3 support */
   SQLSetEnvAttr(env, SQL_ATTR_ODBC_VERSION, (void *) SQL_OV_ODBC3, 0);

   /* Allocate a connection handle */
   SQLAllocHandle(SQL_HANDLE_DBC, env, &dbc);

   /* Connect to the DSN mydsn */
   /* You will need to change mydsn to one you have created and tested */
   SQLDriverConnect(dbc, NULL, "DSN=asteriskWrite;", SQL_NTS,
                 NULL, 0, NULL, SQL_DRIVER_COMPLETE);

   printf( "Start loop\n");
   
   for (j=0; j<50; j++) {
      printf( "in loop %d\n", j);
      /* Allocate a statement handle */
      SQLAllocHandle(SQL_HANDLE_STMT, dbc, &stmt);
	  ret = SQLExecDirect(stmt, "SELECT * FROM tblvoicemessages WHERE dir='/var/spool/asterisk/voicemail/K0001/6669/busy' AND msgnum='-1'", SQL_NTS);
	  
	  if (ret == SQL_SUCCESS) {
	     ret = SQLFetch(stmt);
		    if (ret == SQL_ERROR || ret == SQL_SUCCESS_WITH_INFO) {
               printf("error\n");
			}
        if (ret == SQL_SUCCESS || ret == SQL_SUCCESS_WITH_INFO){
	        printf( "Start SQLGetData\n");
		    ret = SQLGetData(stmt, 0, SQL_BINARY, table, CHUNKSIZE, NULL);
        }
	  } else 
          printf("error %d\n", ret);
	}
}
